function DM_ConvertModItem(%item)
{
	//change modded items from full version into "proxies"
	if(%item $= "shotgunItem" ||
	   %item $= "TommyGunItem" ||
	   %item $= "SMGItem" ||
	   %item $= "redMachineGunItem" ||
	   %item $= "redRevolversItem" ||
	   %item $= "redShotgunItem" ||
	   %item $= "SniperRifleItem" ||
	   %item $= "blueSniperItem")
		%item = "AkimboGunItem";
	
	if(%item $= "pinballLauncherItem" ||
	   %item $= "blueLongbowItem")
		%item = "BowItem";
	
	if(%item $= "pongGunItem" ||
	   %item $= "blueTranquilizerItem" ||
	   %item $= "redRevolverItem" ||
	   %item $= "HandgunBItem")
		%item = "GunItem";
	
	if(%item $= "chickenRayItem" ||
	   %item $= "blockheadRayItem" ||
	   %item $= "horseShotgunItem" ||
	   %item $= "chickenShotgunItem" ||
	   %item $= "blockheadShotgunItem" ||
	   %item $= "shrinkShotgunItem" ||
	   %item $= "antiShrinkShotgunItem" ||
	   %item $= "airhammerItem" ||
	   %item $= "ShrinkRayItem" ||
	   %item $= "AntiShrinkRayItem" ||
	   %item $= "blueCloakItem" ||
	   %item $= "growKitItem" ||
	   %item $= "shrinkKitItem" ||
	   %item $= "healthKitItem" ||
	   %item $= "shieldKitItem" ||
	   %item $= "blockheadKitItem" ||
	   %item $= "bouncyKitItem")
		%item = "horseRayItem";
		
	if(%item $= "PullerRope" ||
	   %item $= "GrappleRope")
		%item = "pushBroomItem";
		
	if(%item $= "homingRocketLauncherItem" ||
	   %item $= "greenCrossbowItem" ||
	   %item $= "greenGLauncherItem" ||
	   %item $= "slowRocketLauncherItem")
		%item = "rocketLauncherItem";
		
	if(%item $= "cannonLauncherItem" ||
	   %item $= "greenMortarItem" ||
	   %item $= "greenGLaunchersItem")
	{
		if($Pref::Server::DeathMatch::AkimboRocket)
			%item = "AkimboRocketItem";
		else
			%item = "rocketLauncherItem";
	}
	
	if(%item $= "orangeFlamethrowerItem" ||
	   %item $= "redDisintegratorItem")
		%item = "spearItem";
	
	if(%item $= "hammerItem" ||
	   %item $= "wrenchItem" ||
	   %item $= "printGun" ||
	   %item $= "hammerWeaponItem" ||
	   %item $= "wrenchWeaponItem" ||
	   %item $= "printerWeaponItem" ||
	   %item $= "crowbarItem" ||
	   %item $= "redBaseballBatItem" ||
	   %item $= "chainsawItem" ||
	   %item $= "fistItem" ||
	   %item $= "butterflyknifeItem")
		%item = "swordItem";
	
	//check if it is a proxy (or nothing)
	if(%item $= "AkimboGunItem" ||
	   %item $= "BowItem" ||
	   %item $= "GunItem" ||
	   %item $= "hammerItem" ||
	   %item $= "horseRayItem" ||
	   %item $= "pushBroomItem" ||
	   %item $= "rocketLauncherItem" ||
	   %item $= "spearItem" ||
	   %item $= "swordItem" ||
	   %item $= "0")
		return %item;
	else
	{
		//if its not, give gun and print an error
		error("ERROR: Couldnt find proxy for modded item " @ %item);
		return "GunItem";
	}
}

function DM_AddFakeNameTables()
{
	//change modded items and vehicles from full version into "proxies"
	//this should hopefully allow default items and vehicles to load in saves where modded stuff was
	$uiNameTable_Items["Shotgun"]					= "AkimboGunItem";
	$uiNameTable_Items["Tommy Gun"]					= "AkimboGunItem";
	$uiNameTable_Items["SMG"]						= "AkimboGunItem";
	$uiNameTable_Items["Machine Gun"]				= "AkimboGunItem";
	$uiNameTable_Items["Revolvers A."]				= "AkimboGunItem";
	$uiNameTable_Items["Sniper Rifle"]				= "AkimboGunItem";
	
	$uiNameTable_Items["Pinball L."]				= "BowItem";
	$uiNameTable_Items["Longbow"]					= "BowItem";
	
	$uiNameTable_Items["Pong Gun"]					= "GunItem";
	$uiNameTable_Items["Tranquilizer"]				= "GunItem";
	$uiNameTable_Items["Revolver"]					= "GunItem";
	$uiNameTable_Items["Hand Gun"]					= "GunItem";
	
	$uiNameTable_Items["Chicken Ray"]				= "horseRayItem";
	$uiNameTable_Items["Blockhead Ray"]				= "horseRayItem";
	$uiNameTable_Items["Horse Shotgun"]				= "horseRayItem";
	$uiNameTable_Items["Chicken Shotgun"]			= "horseRayItem";
	$uiNameTable_Items["Blockhead Shotgun"]			= "horseRayItem";
	$uiNameTable_Items["Shrink Shotgun"]			= "horseRayItem";
	$uiNameTable_Items["Grow Shotgun"]				= "horseRayItem";
	$uiNameTable_Items["Airhammer"]					= "horseRayItem";
	$uiNameTable_Items["Shrink Ray"]				= "horseRayItem";
	$uiNameTable_Items["Grow Ray"]					= "horseRayItem";
	$uiNameTable_Items["Spy Kit"]					= "horseRayItem";
	$uiNameTable_Items["Grow Kit"]					= "horseRayItem";
	$uiNameTable_Items["Shrink Kit"]				= "horseRayItem";
	$uiNameTable_Items["Health Kit"]				= "horseRayItem";
	$uiNameTable_Items["Armor Kit"]					= "horseRayItem";
	$uiNameTable_Items["Blockhead Kit"]				= "horseRayItem";
	$uiNameTable_Items["Bouncy Kit"]				= "horseRayItem";
	
	$uiNameTable_Items["Puller Rope"]				= "pushBroomItem";
	$uiNameTable_Items["Grapple Rope"]				= "pushBroomItem";
	
	$uiNameTable_Items["Homing Rocket"]				= "rocketLauncherItem";
	$uiNameTable_Items["Crossbow"]					= "rocketLauncherItem";
	$uiNameTable_Items["Grenade L."]				= "rocketLauncherItem";
	$uiNameTable_Items["Slow Rocket L."]			= "rocketLauncherItem";
	
	if($Pref::Server::DeathMatch::AkimboRocket)
	{
		$uiNameTable_Items["Cannon L."]				= "AkimboRocketItem";
		$uiNameTable_Items["Mortar"]				= "AkimboRocketItem";
		$uiNameTable_Items["Grenade Akimbo"]		= "AkimboRocketItem";
	}
	else
	{
		$uiNameTable_Items["Cannon L."]				= "rocketLauncherItem";
		$uiNameTable_Items["Mortar"]				= "rocketLauncherItem";
		$uiNameTable_Items["Grenade Akimbo"]		= "rocketLauncherItem";
	}
	
	$uiNameTable_Items["Flamethrower"]				= "spearItem";
	$uiNameTable_Items["Disintegrator"]				= "spearItem";
	
	$uiNameTable_Items["Hammer "]					= "swordItem";
	$uiNameTable_Items["Wrench"]					= "swordItem";
	$uiNameTable_Items["Printer"]					= "swordItem";
	$uiNameTable_Items["Hammer Weapon"]				= "swordItem";
	$uiNameTable_Items["Wrench Weapon"]				= "swordItem";
	$uiNameTable_Items["Printer Weapon"]			= "swordItem";
	$uiNameTable_Items["Crowbar"]					= "swordItem";
	$uiNameTable_Items["Baseball Bat"]				= "swordItem";
	$uiNameTable_Items["Chainsaw"]					= "swordItem";
	$uiNameTable_Items["Fist"]						= "swordItem";
	$uiNameTable_Items["Butterfly Knife"]			= "swordItem";
	
	$uiNameTable_Vehicle["Stunt Buggy"]				= "JeepVehicle";
	$uiNameTable_Vehicle["Blocko Car"]				= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart"]				= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Muscle"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Formula"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Hotrod"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Vintage"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Buggy"]			= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Classic"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Classic GT"]	= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Jeep"]			= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Hyperion"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart 64"]			= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart Blocko"]		= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart 7"]				= "JeepVehicle";
	$uiNameTable_Vehicle["SpeedKart LeMans"]		= "JeepVehicle";
}

function GameConnection::DM_ApplyLoadout(%this, %player)
{
	%weapon0 = $DM::Item0Spawn;
	%weapon1 = $DM::Item1Spawn;
	%weapon2 = $DM::Item2Spawn;
	%weapon3 = $DM::Item3Spawn;
	%weapon4 = $DM::Item4Spawn;
	
	if(%weapon0 !$= "0")
		%weapon0 = %weapon0.getID();
	if(%weapon1 !$= "0")
		%weapon1 = %weapon1.getID();
	if(%weapon2 !$= "0")
		%weapon2 = %weapon2.getID();
	if(%weapon3 !$= "0")
		%weapon3 = %weapon3.getID();
	if(%weapon4 !$= "0")
		%weapon4 = %weapon4.getID();
	
	%player.tool[0] = %weapon0;
	messageClient(%this, 'MsgItemPickup', '', 0, %weapon0);
	%player.tool[1] = %weapon1;
	messageClient(%this, 'MsgItemPickup', '', 1, %weapon1);
	%player.tool[2] = %weapon2;
	messageClient(%this, 'MsgItemPickup', '', 2, %weapon2);
	%player.tool[3] = %weapon3;
	messageClient(%this, 'MsgItemPickup', '', 3, %weapon3);
	%player.tool[4] = %weapon4;
	messageClient(%this, 'MsgItemPickup', '', 4, %weapon4);
}